Metacat - Task #6298
Story # 6296 (Closed): authMN SM.accessPolicy out of synch with CN and replicaMN

Call CN.setAccessPolicy() whenever access control rules are updated in Metacat
12/12/2013 07:10 AM - ben leinfelder

Status: Resolved Start date: 12/12/2013
Priority: Normal Due date:

Assignee: Peter Slaughter % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.4.0 Spent time: 0.00 hour
Description

When EML is processed and access control rules within it are added to Metacat, these changes should be submitted to the CN.
The action=setaccess Metacat servlet API is another point where the access policy can be manipulated.
Starting point for looking at this behavior (in main Metacat project):

edu.ucsb.nceas.metacat.accesscontrol.XMLAccessAccess
edu.ucsb.nceas.metacat.accesscontrol.AccessControlForSingleFile

History

#1 - 02/04/2014 02:28 PM - Peter Slaughter
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0

#2 - 02/05/2014 06:03 PM - ben leinfelder
- Status changed from Resolved to In Progress

- Estimated time set to 0.00 h

| like the approach in EML210SAXHandler for synching the data pids after the transaction has been committed. | think the EML200SAXHandler also
needs similar logic since we still technically support that version of EML even if its access control rules are defined slightly differently. Both versions
can control access rules on data objects stored in Metacat so it's important that they are treated the same.

#3 - 02/07/2014 12:44 PM - Peter Slaughter

- Status changed from In Progress to Resolved

EML200SaxHandler updated to sync access policies of data pids if access rules updated in <additionalMetadata>
